//
//  SecondViewController.swift
//  waterFlowSwiftDemo
//
//  Created by TigerNong on 2018/7/5.
//  Copyright © 2018年 TigerNong. All rights reserved.
//

import UIKit
import Alamofire

class SecondViewController: UIViewController {
    
    var url : String?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = UIColor.white
        self.navigationItem.leftBarButtonItem = UIBarButtonItem(title: "back", style: UIBarButtonItemStyle(rawValue: 0)!, target: self, action: #selector(back))
        
        let imageView = UIImageView(frame: self.view.bounds)
        self.view.addSubview(imageView)

        DispatchQueue.global(qos: .unspecified).async {
            Alamofire.request(self.url!,method:HTTPMethod.get,parameters:nil,encoding:URLEncoding.default,headers:nil).responseData { (response) in
                
                if response.error == nil {
                    if let data = response.data{
                        let image = UIImage(data: data)
                         imageView.image = image
                    }
                }else{
                    print("失败")
                }
            }
        }
        
    }
    
    @objc func back() {
        dismiss(animated: true, completion: nil)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    deinit {
        print("SecondViewController ---- deinit")
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
