//
//  TNShopCell.swift
//  waterFlowSwiftDemo
//
//  Created by TigerNong on 2018/7/4.
//  Copyright © 2018年 TigerNong. All rights reserved.
//

import UIKit
import Alamofire


class TNShopCell: UICollectionViewCell {
    
    @IBOutlet weak var imageView: UIImageView!
    var shop : TNShop! {
        didSet{
            
            weak var weakVC = self
            DispatchQueue.global(qos: .unspecified).async {
                Alamofire.request((weakVC?.shop.img!)!,method:HTTPMethod.get,parameters:nil,encoding:URLEncoding.default,headers:nil).responseData { (response) in

                    if response.error == nil {
                        if let data = response.data{
                            let image = UIImage(data: data)
                            weakVC?.imageView.image = image
                        }
                    }else{
                        print("失败")
                    }
                }
            }
        }
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }
    
    deinit {
        print("TNShopCell===deinit")
    }
}
